%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"
%define name gimmie
%define version 0.2.7
%define svn 0
%if %svn
%define release %mkrel %svn.1
%else
%define release %mkrel 1
%endif


Summary: New menu applet for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
%if %svn
Source0: %name-%svn.tar.bz2
%else
Source0: http://www.beatniksoftware.com/gimmie/releases/%{name}-%{version}.tar.gz
%endif
#gw fix default bookmarks, else it crashes without a file named README in the
# current dir.
Patch0: gimmie-0.2.3-bookmarks.patch
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.beatniksoftware.com/gimmie/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-gnome-menus
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python
BuildRequires: gnome-python-desktop
BuildRequires: libgnomecups-devel
BuildRequires: gnome-panel-devel
BuildRequires: perl-XML-Parser
%if %svn
BuildRequires: gnome-common intltool
%endif
Requires: python-gnome-menus
Requires: gnome-python
Requires: gnome-python-desktop
Requires: gnome-python-applet
Requires: gnome-python-gnomevfs
Requires: gnome-python-gconf
Requires: python-libgmail
Requires: dbus-python
Requires: pyxdg

%description
Gimmie is an alternative menu applet for the GNOME panel.  It tries to
provide a handle on the people you interact with, the documents you
create, and the applications you use to create them.


%prep
%if %svn
%setup -q -n %name
%else
%setup -q
%endif
%patch0 -p1 -b .bookmarks
%if %svn
./autogen.sh
%endif

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

# Generated .pyc / .pyo files refer to the RPM build root. Wipe them and re-generate with our macros.

rm -f $RPM_BUILD_ROOT%py_platsitedir/%name/*.pyo $RPM_BUILD_ROOT%py_platsitedir/%name/*.pyc \
$RPM_BUILD_ROOT%py_platsitedir/%name/gdmclient/*.pyo $RPM_BUILD_ROOT%py_platsitedir/%name/gdmclient/*.pyc \
$RPM_BUILD_ROOT%py_platsitedir/%name/gnomecups/*.pyo $RPM_BUILD_ROOT%py_platsitedir/%name/gnomecups/*.pyc \
$RPM_BUILD_ROOT%py_platsitedir/%name/iconentry/*.pyo $RPM_BUILD_ROOT%py_platsitedir/%name/iconentry/*.pyc \
$RPM_BUILD_ROOT%py_platsitedir/%name/sexy/*.pyo $RPM_BUILD_ROOT%py_platsitedir/%name/sexy/*.pyc \
$RPM_BUILD_ROOT%py_platsitedir/%name/traymanager/*.pyo $RPM_BUILD_ROOT%py_platsitedir/%name/traymanager/*.pyc \

%python_compile_opt
%python_compile
install %{name}/*.pyc %{name}/*.pyo %{buildroot}%{py_platsitedir}/%{name}
install %{name}/gdmclient/*.pyc %{name}/gdmclient/*.pyo %{buildroot}%{py_platsitedir}/%{name}/gdmclient
install %{name}/gnomecups/*.pyc %{name}/gnomecups/*.pyo %{buildroot}%{py_platsitedir}/%{name}/gnomecups
install %{name}/iconentry/*.pyc %{name}/iconentry/*.pyo %{buildroot}%{py_platsitedir}/%{name}/iconentry
install %{name}/sexy/*.pyc %{name}/sexy/*.pyo %{buildroot}%{py_platsitedir}/%{name}/sexy
install %{name}/traymanager/*.pyc %{name}/traymanager/*.pyo %{buildroot}%{py_platsitedir}/%{name}/traymanager

%post
%update_icon_cache hicolor
%post_install_gconf_schemas gimmie

%preun
%preun_uninstall_gconf_schemas gimmie

%postun
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%_sysconfdir/gconf/schemas/gimmie.schemas
%_bindir/%name
%_datadir/gnome-2.0/ui/*.xml
%_libdir/bonobo/servers/GNOME_GimmieApplet.server
%py_platsitedir/%name
%_libexecdir/gimmie_applet
%_datadir/icons/hicolor/*/apps/%name.*
%_datadir/pixmaps/%name.png


%changelog
* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.7-1mdv2007.1
+ Revision: 41526
- new release 0.2.7, drop merged patches

* Fri May 18 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-5mdv2008.0
+ Revision: 28357
- temporary fix for bad paths in .pyc / .pyo files: wipe them and re-generate (sgrayban again)
- requires gnome-python-gconf (thanks scott grayban for the report)

* Mon May 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-4mdv2008.0
+ Revision: 23838
- improve pidgin fix (add Makefile.in to patch rather than installing gimmie_pidgin.py manually)

* Sun May 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-3mdv2008.0
+ Revision: 23791
- add pidgin support, fix pidgin / gaim issue with patches from ML and SVN


* Tue Apr 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-2mdv2007.1
+ Revision: 150249
- patch2 (SVN): fix another crasher clicking on computer
- patch1 (SVN): fix crash when clicking Computer in standalone mode

* Wed Mar 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.6-1mdv2007.1
+ Revision: 149104
- new release 0.2.6, drop patch1 (merged)
- well, combine patches 1 and 2, seems to apply better this way
- another patch to resizing
- add patch1 (should fix window resizing bug)

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdv2007.1
+ Revision: 130867
- new version
- add gconf schema installation

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.2.3-326.1mdv2007.1
+ Revision: 126928
- svn snapshot

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdv2007.1
+ Revision: 122915
- new version
- update the patch
- add icons

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-3mdv2007.1
+ Revision: 111094
- fix crash on startup
- fix deps
- fix buildrequires

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-2mdv2007.1
+ Revision: 110836
- depend on libgmail

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.1
+ Revision: 110562
- Import gimmie

* Fri Jan 19 2007 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.1
- initial package

